Subject: bug#746: closed by Mark Hindley <[email-masked]> (Fixed in Debian #1034054)

From: Klaus Ethgen <[email-masked]>
Date: Fri, 5 May 2023 10:11:39 +0100

Am Do den  4. Mai 2023 um 15:32 schrieb Devuan bug Tracking System:
> This is an automatic notification regarding your bug report
> which was filed against the fvwm package:
> 
> #746: Killed when starting modale dialog like pinentry
> 
> It has been closed by Mark Hindley <[email-masked]>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Mark Hindley <[email-masked]> by
> replying to this email.

I am not convinced. The resolution sounds like a work around inside of
fvwm but the bug is really in libX11.

True, it is ALSO a bug in fvwm. But this libX11 bug is still there and
caused by their incomplete and erroneous implementation of threaded
support.

It introduced trouble in the past and since then, they did not address
the real bugs but did some cosmetic changes. And if I remember correct,
there are other software that is affected by this bug too. Not only
fvwm. (But I do not remember, which.)

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C